Option | Description | Values | Default
--- | --- | --- | ---
sortParamsByRequiredFlag | Sort method arguments to place required parameters before optional parameters. |  | true
sortModelPropertiesByRequiredFlag | Sort model properties to place required parameters before optional parameters. |  | true
ensureUniqueParams | Whether to ensure parameter names are unique in an operation (rename parameters that are not). |  | true
allowUnicodeIdentifiers | boolean, toggles whether unicode identifiers are allowed in names or not, default is false |  | false
prependFormOrBodyParameters | Add form or body parameters to the beginning of the parameter list. |  | false
modelPropertyNaming | Naming convention for the property: 'camelCase', 'PascalCase', 'snake_case' and 'original', which keeps the original name |  | camelCase
supportsES6 | Generate code that conforms to ES6. |  | false

##
IMPORT MAPPING

Type/Alias | Imports
--- | ---

##
INSTANTIATION TYPES

Type/Alias | Instantiated By
--- | ---
array | Array

##
LANGUAGE PRIMITIVES

- string
- Error
- String
- Double
- any
- Date
- Integer
- Array
- Float
- number
- boolean
- Long
- Object
- Boolean
- File
- Map
- object

##
RESERVED WORDS

- synchronized
- debugger
- do
- float
- while
- varLocalPath
- headerParams
- queryParameters
- protected
- continue
- else
- function
- let
- catch
- export
- if
- case
- new
- package
- static
- void
- in
- formParams
- byte
- double
- var
- useFormData
- finally
- this
- enum
- varLocalDeferred
- extends
- null
- transient
- final
- true
- try
- implements
- private
- const
- import
- for
- interface
- delete
- long
- switch
- default
- goto
- public
- native
- yield
- await
- class
- typeof
- break
- false
- volatile
- abstract
- requestOptions
- int
- instanceof
- super
- with
- boolean
- throw
- char
- short
- return

Last updated on 1/9/2020